;=======================================
; EGP02_Macro.inc
; EGP02}N`
;=======================================
; Rev 00 : 2016.03.26 Konya (New Release)
;=======================================

;-----------------------
;@LCDp}N
;-----------------------
;LCDsdl
;~RST PORTB RB9@ (0:Zbg)
;~CS0 PORTC RC6 @(0:LCDANZXL)
; A0  PORTC RC7   (0:R}h,1:f[^)
; SCK PORTC RC8   (RP24 SPIW[)
; SDA PORTC RC9   (RP25@SPIW[)

;----- Set ~CSB -----
.macro mLCD_CS0_Set
		BSET LATC,#6 		;~CS0 = 1(LCDANZX)
.endm
;----- CLR ~CSB -----
.macro mLCD_CS0_Clr
		BCLR LATC,#6 		;~CS0 = 0(LCDANZXL)
.endm

;----- Set ~RST -----
.macro mLCD_RST_Set
		BSET LATB,#9		;~RST = 1(Zbg)
.endm

;----- Set ~RST -----
.macro mLCD_RST_Clr
		BCLR LATB,#9		;~RST = 0(Zbg)
.endm

;----- R}hM -----
.macro mLCDCMD cmd
		BCLR	LATC, #7 	;A0 = CMD
		MOV	\cmd, w1
		CALL	LCD_Send
.endm

;----- f[^M -----
.macro mLCDDAT data
		BSET	LATC, #7 	;A0 = DATA
		MOV	\data, w1
		CALL	LCD_Send
.endm
;-----------------------
;@L`}N
;-----------------------
.macro mChrDrw x, y, ptn, Label
		MOV		#tblpage(\Label),w2
		MOV		w2, _TBLPAG
		MOV		#tbloffset(\Label),w2
		MOV		\x, w0			;X
		MOV		\y, w1			;Y
		MOV		\ptn, w3		;\p^[ԍ
		CLR		W4			;\tOm[}
		CALL	VR_CWT			;CALL L`惋[`
.endm

.macro mChrDrw2 x, y, flg, fbit, ptn, Label
		MOV	#tblpage(\Label),w2
		MOV	w2, _TBLPAG
		MOV	#tbloffset(\Label),w2
		MOV	\x, w0				;w0=X
		MOV	\y, w1				;w1=Y
		MOV	\ptn, w3			;w3 = \p^[ԍ1

		CLR	w4				;\tO=m[}
		MOV	\flg, w5			;flgfbit=1Ȃ
		BTSS	w5, \fbit			;
		MOV	#1, w4				;\tO=}XN
		
		CALL	VR_CWT				;CALL L`惋[`
.endm

.macro mChrDrw3 x, y, flg, fbit, ptn, Label
		MOV	#tblpage(\Label),w2
		MOV	w2, _TBLPAG
		MOV	#tbloffset(\Label),w2
		MOV	\x, w0				;w0=X
		MOV	\y, w1				;w1=Y
		MOV	\ptn, w3			;w3 = \p^[ԍ1

		CLR	w4				;\tO=m[}
		MOV	\flg, w5			;flgfbit=0Ȃ
		BTSC	w5, \fbit			;\Ȃ

		CALL	VR_CWT				;CALL L`惋[`
.endm
		
.macro mChrDrw4 x, y, flg, fbit, ptn1, ptn2, Label
		MOV	\ptn1, w3			;w3 = \p^[ԍ1
		MOV	\flg, w2
		BTSS	w2, \fbit
		MOV	\ptn2, w3			;w3 = \p^[ԍ2 
		MOV	#tblpage(\Label),w2
		MOV	w2, _TBLPAG
		MOV	#tbloffset(\Label),w2
		MOV	\x, w0				;w0=X
		MOV	\y, w1				;w1=Y

		CALL	VR_CWT				;CALL L`惋[`
.endm
;-----------------------
;@`}N
;-----------------------
;A-Z
.macro mStrDraw x, y, ptn, fnt
		MOV		\x, w0			;X
		MOV		\y, w1			;Y
		MOV		\ptn, w3		;\p^[ԍ
		MOV		\fnt, w2		;tHgԍ
		CALL	_VR_StrDraw		;CALL `惋[`
.endm
;0-9
.macro mNumDraw x, y, ptn, fnt
		MOV		\x, w0			;X
		MOV		\y, w1			;Y
		MOV		\ptn, w3		;\p^[ԍ
		MOV		\fnt, w2		;tHgԍ
		CALL	_VR_NumDraw		;CALL `惋[`
.endm

